
---@class copas_ftp*
---@type copas_ftp*
local M = {}

--- Execute FTP command.
---@param request table Request parameters.
---@return any result result.
function M.command(request) end

--- Download FTP content.
---@param request string|table URL or request form.
---@return string|integer|nil bodyOrOk Response body or status.
---@return string? errMsg error message.
function M.get(request) end

--- Parse FTP requests.
---@param url string|table URL or request form.
---@param body? string Request body.
---@return table request Request form.
function M.parseRequest(url, body) end

--- Upload FTP content.
---@param request string|table URL or request form.
---@param body? string Request body.
---@return string|integer|nil result result.
---@return string? errMsg error message.
function M.put(request, body) end

return M
